# Uses of Class
com.fasterxml.jackson.core.Version

Packages that use Version
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of Version in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return Version
Modifier and Type
Method
Description
`static Version`
Version.`unknownVersion()`
Method returns canonical "not known" version, which is used as version in cases where actual version information is not known (instead of null).
`Version`
JsonFactory.`version()`
`abstract Version`
JsonGenerator.`version()`
Accessor for finding out version of the bundle that provided this generator instance.
`abstract Version`
JsonParser.`version()`
Accessor for getting version of the core package, given a parser instance.
`abstract Version`
ObjectCodec.`version()`
`Version`
Versioned.`version()`
Method called to detect version of the component that implements this interface; returned version should never be null, but may return specific "not available" instance (see `Version` for details).
Methods in com.fasterxml.jackson.core with parameters of type Version
Modifier and Type
Method
Description
`int`
Version.`compareTo(Version other)`

## Uses of Version in com.fasterxml.jackson.core.base

Methods in com.fasterxml.jackson.core.base that return Version
Modifier and Type
Method
Description
`Version`
GeneratorBase.`version()`
Implemented with standard version number detection algorithm, typically using a simple generated class, with information extracted from Maven project file during build.
`Version`
ParserBase.`version()`

## Uses of Version in com.fasterxml.jackson.core.json

Fields in com.fasterxml.jackson.core.json declared as Version
Modifier and Type
Field
Description
`static final Version`
PackageVersion.`VERSION`
Methods in com.fasterxml.jackson.core.json that return Version
Modifier and Type
Method
Description
`Version`
JsonGeneratorImpl.`version()`
`Version`
PackageVersion.`version()`

## Uses of Version in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return Version
Modifier and Type
Method
Description
`static Version`
VersionUtil.`mavenVersionFor(ClassLoader cl, String groupId, String artifactId)`
Deprecated.
Since 2.6: functionality not used by any official Jackson component, should be moved out if anyone needs it
`static Version`
VersionUtil.`packageVersionFor(Class<?> cls)`
Deprecated.
Since 2.12 simply use `VersionUtil.versionFor(Class)` instead
`static Version`
VersionUtil.`parseVersion(String s, String groupId, String artifactId)`
Method used by `PackageVersion` classes to decode version injected by Maven build.
`Version`
JsonGeneratorDelegate.`version()`
`Version`
JsonParserDelegate.`version()`
`Version`
VersionUtil.`version()`
Deprecated.
`static Version`
VersionUtil.`versionFor(Class<?> cls)`
Loads version information by introspecting a class named "PackageVersion" in the same package as the given class.